Skip to main content
PUT
Set app visibility

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

app_id
string<uuid>
required

The ID of the app.

Body

application/json

Visibility information for an app. Mirrors VisibilityInfo but adds the App-specific import_visibility, which governs the default visibility of items imported from the app.

visibility
enum<string>
required

The visibility level of the entity.

Available options:
GLOBAL,
LIMITED
Example:

"GLOBAL"

visibility_group_ids
string<uuid>[]

The IDs of groups that can see this app when visibility is LIMITED. Must be empty when visibility is GLOBAL.

import_visibility
enum<string>

The visibility of items imported from this app. Defaults to GLOBAL when omitted on a write.

Available options:
GLOBAL,
LIMITED
Example:

"GLOBAL"

Response

The updated visibility info of this app.

Visibility information for an app. Mirrors VisibilityInfo but adds the App-specific import_visibility, which governs the default visibility of items imported from the app.

visibility
enum<string>
required

The visibility level of the entity.

Available options:
GLOBAL,
LIMITED
Example:

"GLOBAL"

visibility_group_ids
string<uuid>[]

The IDs of groups that can see this app when visibility is LIMITED. Must be empty when visibility is GLOBAL.

import_visibility
enum<string>

The visibility of items imported from this app. Defaults to GLOBAL when omitted on a write.

Available options:
GLOBAL,
LIMITED
Example:

"GLOBAL"